<?php

namespace Opencart\System\Library\Extension\Chatbro\Chatbroapp\Backends;

use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Common\CbroCommon;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Chats\CbroNonExistentChats;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Exceptions\CbroChatsNotFound;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Interfaces\IcbroChatsBackend;

class CbroChatsBackend implements IcbroChatsBackend
{
  public $non_existent_chats;
  const chat_list = "chatbro_chat_list";

  public function __construct()
  {
    $this->non_existent_chats = new CbroNonExistentChats();
  }

  function update_option($name, $value)
  {
    CbroCommon::update_option($name, $value);
  }

  function get()
  {
    $val = CbroCommon::get_option(self::chat_list, $this->non_existent_chats);

    if ($val === $this->non_existent_chats)
      throw new CbroChatsNotFound(self::chat_list);

    return $val;
  }

  function set($value)
  {
    self::update_option(self::chat_list, $value);
  }

  function postpone_write()
  {
  }

  function flush()
  {
  }

  function del()
  {
    CbroCommon::delete_option(self::chat_list);
  }
}

?>