<?php

namespace Opencart\System\Library\Extension\Chatbro\Chatbroapp\Backends;

use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Interfaces\IcbroUserBackend;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Settings\CbroSettings;
use Opencart\System\Library\Extension\Chatbro\Chatbroapp\Common\CbroCommon;

class CbroUserBackend implements IcbroUserBackend
{
  private $customer;
  private $cms;

  public function __construct($cms)
  {
    $this->cms = $cms;

    if (class_exists('Opencart\Admin\Model\Setting\SettingOpencart\Admin\Model\Account\Customer') && $this->is_logged_in()) {
      $cms->load->model('account/customer');
      $this->customer = $cms->model_account_customer->getCustomer($cms->customer->getId());
    }

    $this->customer = array();
  }

  function is_logged_in()
  {
    return CbroCommon::is_logged_in();
  }

  function is_admin()
  {
    return FALSE;
  }

  function avatar_url()
  {
    return "";
  }

  function profile_url()
  {
    return "";
  }

  function id()
  {
    return $this->is_logged_in() ? $this->cms->customer->getId() : null;
  }

  function display_name()
  {
    return $this->is_logged_in() ? ($this->cms->customer->getFirstName() . ' ' . $this->cms->customer->getLastName()) : null;
  }

  function full_name()
  {
    return $this->is_logged_in() ? ($this->cms->customer->getFirstName() . ' ' . $this->cms->customer->getLastName()) : null;
  }
}